import * as React from 'react';
import { ModuleSummaryProps } from '../Components/SharedProps/ModuleSummaryProps';
import { EditableConfigEntityState } from '../Components/SharedProps/EditableConfigEntityState';
import * as PlusMinusRedux from '../../Redux/ActionsReducers/PlusMinusRedux';
import { PlusMinusNudge } from '../../AdaptableState/PlusMinusState';
export interface PlusMinusSummaryProps extends ModuleSummaryProps<PlusMinusSummaryComponent> {
    PlusMinusNudges: PlusMinusNudge[];
    onAddPlusMinusNudge: (PlusMinus: PlusMinusNudge) => PlusMinusRedux.PlusMinusNudgeAddAction;
    onEditPlusMinusNudge: (PlusMinus: PlusMinusNudge) => PlusMinusRedux.PlusMinusNudgeEditAction;
}
export declare class PlusMinusSummaryComponent extends React.Component<PlusMinusSummaryProps, EditableConfigEntityState> {
    constructor(props: PlusMinusSummaryProps);
    render(): any;
    onNew(): void;
    onEdit(PlusMinus: PlusMinusNudge): void;
    onCloseWizard(): void;
    onFinishWizard(): void;
    canFinishWizard(): boolean;
}
export declare let PlusMinusSummary: import("react-redux").ConnectedComponent<typeof PlusMinusSummaryComponent, {
    [x: string]: any;
}>;
